Create
Register a git commit.
Authorizations
The API key to use for authentication.
Headers
The API version the client was built against.
"2026-11-04.everglades"
Query Parameters
Fields to expand on the git commit resource.
created_by Body
Response
Successfully created the git commit.
The object type, which is always git_commit.
git_commit "git_commit"
ID of the git commit.
"git_commit_123"
The SHA hash of the git commit.
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0"
The commit message.
"Add basic motion configurations"
The owner of the git repository.
"user"
The name of the git repository.
"repo"
github, gitlab, bitbucket The URL of the git repository.
"https://github.com/user/repo"
The URL of the git commit.
"https://github.com/user/repo/commit/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0"
Timestamp of when the git commit was created.
"2021-01-01T00:00:00Z"
ID of the principal who created the git commit.
"usr_123"
The principal who created the git commit. Expand using expand=created_by in the query string.

